Package commoble.morered.client

# Class WirePartModelLoader.WireModelData

java.lang.Object
commoble.morered.client.WirePartModelLoader.WireModelData

Enclosing class:
  `WirePartModelLoader`

public static final class WirePartModelLoader.WireModelData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.neoforged.neoforge.client.model.data.ModelProperty<Long>`
`PROPERTY`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`test(long flags, int bitIndex)`
The flags here are a bit pattern indicating a wire block's state and neighbor context first 6 bits [0-5] -- which interior faces the wire block has true wires attached to from blockitems the bits use the directional index, e.g.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY

public static final net.neoforged.neoforge.client.model.data.ModelProperty<Long> PROPERTY

## Method Details

### test

public static boolean test(long flags, int bitIndex)
The flags here are a bit pattern indicating a wire block's state and neighbor context first 6 bits [0-5] -- which interior faces the wire block has true wires attached to from blockitems the bits use the directional index, e.g. bit 0 = DOWN next 24 bits [6-29] -- indicates the connecting lines that should be rendered these use the 24 FaceRotation indices next 12 bits [30-41] -- indicates which connecting edges that should be rendered these use the 12 EdgeRotation indeces